Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jpicedt.format.input.util
Class StatementExpression

    java.lang.Object
      jpicedt.format.input.util.AbstractRegularExpression
          jpicedt.format.input.util.StatementExpression

All Implemented Interfaces:
  ExpressionConstants

Direct Known Subclasses:
  PicDashStatement, PSTAngleParameter

public class StatementExpression
extends AbstractRegularExpression

An expression for "statement"-parsing, i.e. a name followed by an assignment sign followed by a numerical value e.g. "dash=4.0" or "thickness->8"

Since:
  jpicedt 1.3
Version:
  $Id: StatementExpression.java,v 1.4.2.1 2007/09/02 11:56:14 reynal Exp $
Author:
  Sylvain Reynal

Field Summary

Fields inherited from interface jpicedt.format.input.util.ExpressionConstants
`ANY_CHAR, ANY_CHAR_EOL, ANY_SIGN, AT_LEAST, AT_MOST, DEBUG, DOUBLE, EOL, EXACTLY, INTEGER, NEGATIVE, NON_NULL, POSITIVE, STRICTLY_NEGATIVE, STRICTLY_POSITIVE, WHITE_SPACES, WHITE_SPACES_OR_EOL`

Constructor Summary
`StatementExpression(String leftHandSide, String equalSymbol, String postfix, int type, int sign)`

Method Summary
`Number` | `getValue()` Return the value of the RHS, wrapped in a Number (either Integer or Double)
`boolean` | `interpret(Context c)` Parses this expression, possibly using the given Context to fetch the String to interpret if this Expression is a leaf expression.
`String` | `toString()`

Methods inherited from class jpicedt.format.input.util.AbstractRegularExpression
`action`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StatementExpression

    public StatementExpression(String leftHandSide,
                               String equalSymbol,
                               String postfix,
                               int type,
                               int sign)

Parameters:
  `leftHandSide` - aka name of a variable
  `equalSymbol` - e.g. "=" or "->" etc...
  `postfix` - marks the end of the numerical expression (can be null, see NumericalExpression comments)
  `type` - type of numerical value (DOUBLE or INTEGER)
  `sign` - constraints laid on the sign of numerical values (ANY_SIGN, POSITIVE, ...) A typical use would be : StatementExpression("dash", "=", null, "pt_1", DOUBLE, POSITIVE)

Method Detail

### interpret

    public boolean interpret(Context c)
                      throws REParserException

  Description copied from class: `AbstractRegularExpression`
  Parses this expression, possibly using the given Context to fetch the String to interpret if this Expression is a leaf expression.

  Specified by:
    `interpret` in class `AbstractRegularExpression`
  Returns:
    TRUE if and only if every expression contained in this expression has been found, in the proper order.
  Throws:
    `REParserException.IncompleteSequence` - if any expression but the first one wasn't found Whether TRUE or FALSE, calls action with key="&" and value=value of number found (of type Number)
    `REParserException` - if an error occur during parsing

### getValue

    public Number getValue()

  Return the value of the RHS, wrapped in a Number (either Integer or Double)

### toString

    public String toString()

  Returns:
    a String representation of this expression

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug : syd@jpicedt.org